from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class FillMode(IntEnum):
    SIMPLE = auto()
    LINEAR = auto()
    GROWTH = auto()
    DATE = auto()
    AUTO = auto()
